#ifndef RESOURCE_H_
#define RESOURCE_H_

#include "api.h"
#include <time.h>

namespace webdav
{

class ResourceImpl;

class WEBDAV_API Resource
{
public:
	enum Type{
		TYPE_NORMAL,
		TYPE_COLLECTION,
		TYPE_REFERENCE,
		TYPE_ERROR
	};

	Resource();
	virtual ~Resource();

	void SetPath(const char* path);
	const char* GetPath() const;
	void SetType(Type type);
	Type GetType() const;
	void SetSize(__int64 size);
	void SetErrorReason(const char* err);
	void SetErrorStatus(int stt);
	void SetExecutable(bool is_exe);
	void SetVersionControl(int vcr);
	void SetModifiedTime(time_t time);
	time_t GetModifiedTime() const;
	Resource* Next() const;
	void Insert(Resource* next);
	__int64 GetSize() const;

	bool operator < (const Resource& rhs) const;

private:
	ResourceImpl* pimpl_;
};

}

#endif
