#include "utils.h"
#include "utils_impl.h"

namespace webdav
{

Utils::Utils()
: pimpl_(NULL)
{
	pimpl_ = new UtilsImpl;
}

Utils::~Utils()
{
	if(pimpl_ != NULL){
		delete pimpl_;
	}
}

const char* Utils::GetParentPath(const char* path)
{
	return pimpl_->GetParentPath(path);
}

const char* Utils::GetPath(const char* url)
{
	return pimpl_->GetPath(url);
}

const char* Utils::ResolvePath(const char* p, const char* filename, bool iscoll)
{
	return pimpl_->ResolvePath(p, filename, iscoll);
}

const char* Utils::GetBaseName(const char* path)
{
	return pimpl_->GetBaseName(path);
}

const char* Utils::GetBaseName(const Resource& res)
{
	return pimpl_->GetBaseName(res);
}

const char* Utils::Escape(const char* src)
{
	return pimpl_->Escape(src);
}

const char* Utils::Unescape(const char* src)
{
	return pimpl_->Unescape(src);
}

}

