#ifndef UTILS_H_
#define UTILS_H_

#include "api.h"
#include "resource.h"

namespace webdav
{

class UtilsImpl;

class WEBDAV_API Utils
{
public:
	Utils();
	virtual ~Utils();

	const char* GetParentPath(const char* path);
	const char* GetPath(const char* url);
	const char* ResolvePath(const char* p, const char* filename, bool iscoll);
	const char* GetBaseName(const char* path);
	const char* GetBaseName(const Resource& res);
	const char* Escape(const char* src);
	const char* Unescape(const char* src);

private:
	UtilsImpl* pimpl_;
};

}

#endif
